/*
 * BasicExpression.h
 *
 *  Created on: Dec 5, 2012
 *      Author: attero
 */

#ifndef BASICEXPRESSION_H_
#define BASICEXPRESSION_H_
#include "ASTExpression.h"
#include <iostream>
class BasicExpression : public ASTExpression {
public:

	std::string oper;

	bool children_set;
	void set_operator(std::string op);
	void set_left_operand(ASTNode * left);
	void set_right_operand(ASTNode * right);
	virtual SenchaObject evaluate();
	virtual void execute();
	virtual void execute_quietly();


	std::string debug() ;

	BasicExpression(ASTNode * parent);
	virtual ~BasicExpression();
};

#endif /* BASICEXPRESSION_H_ */
